GIMP 2.8

Questions about applications and software
Forum rules
Before you post please read how to get help
User avatar
ok67
Level 1
Level 1
Posts: 5
Joined: Fri Oct 28, 2011 6:36 am

Re: GIMP 2.8

Post by ok67 »

I2k4 wrote:This unofficial compilation of the 2.7 beta (single window is one click in Windows menu, but) setting doesn't save) is working fine on my Mint 10, 11 and Lubuntu 10.10 installs.

GIMP 2.7 for older Ubuntu versions (unofficial):

ppa:matthaeus123/mrw-gimp-svn

Not being good with terminal I simply added it to the Synaptic PM repositories, it replaces 2.6 and upgrades in the normal way. I left the extras and UFRaw plug ins as is and they work fine on 2.7.
yes it did remove Gimp 2.6, but it did not install 2.7, due to som other missing depedencies...............

And the I had a terrible job getting Gimp 2.6 back.........

So I don't recommend anyone trying this.
User avatar
I2k4
Level 5
Level 5
Posts: 708
Joined: Thu Feb 02, 2012 8:33 pm

Re: GIMP 2.8

Post by I2k4 »

ok67 wrote: yes it did remove Gimp 2.6, but it did not install 2.7, due to som other missing depedencies...............

And the I had a terrible job getting Gimp 2.6 back.........

So I don't recommend anyone trying this.
All I can say is it worked as I said on Lubuntu and Mint. Googling the PPA will bring up others using it. Likely as not somebody will do the same for the final GIMP 2.8 and that will be better yet.
TRUST BUT VERIFY any advice from anybody, including me. Mint/Ubuntu user since 10.04 LTS. LM20 64 bit XFCE (Dell 1520). Dual booting LM20 XFCE / Win7 (Lenovo desktop and Acer netbook).
3fRI
Level 4
Level 4
Posts: 229
Joined: Sat Nov 20, 2010 10:25 am
Location: State of Confusion

Re: GIMP 2.8

Post by 3fRI »

When I attempted to install Gimp 2.8, this is what I read on terminal:


~ $ sudo apt-get install gimp
[sudo] password for fff:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
gimp-help-en gimp-help gimp-data-extras
The following NEW packages will be installed:
gimp
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
Need to get 4,848 kB of archives.
After this operation, 14.0 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ oneiric/main gimp amd64 2.6.11-2ubuntu4 [4,848 kB]
Fetched 4,848 kB in 5s (876 kB/s)
Selecting previously unselected package gimp.
(Reading database ... 172876 files and directories currently installed.)
Unpacking gimp (from .../gimp_2.6.11-2ubuntu4_amd64.deb) ...
Processing triggers for menu ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for gnome-menus ...
Setting up gimp (2.6.11-2ubuntu4) ...
Processing triggers for menu ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
E: Type 'ain' is not known on line 3 in source list /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list
E: The list of sources could not be read.
E: Type 'ain' is not known on line 3 in source list /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list
E: The list of sources could not be read.
~ $

Oddly enough, Gimp 2.6 is still there, but Synaptic Package Manager now crashes after I log in, with part of the above message:
E: Type 'ain' is not known on line 3 in source list /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list
E: The list of sources could not be read.

:shock:
System 76 Pangolin: 4x Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz, Manjaro 15.12 Capella Xfce/Cinnamon 64-bit
iMac 21.5: Intel Core 2 Duo 3.06 GHz, Mac OS 10.11

[iWhat? Me worry?[/i]
User avatar
ok67
Level 1
Level 1
Posts: 5
Joined: Fri Oct 28, 2011 6:36 am

Re: GIMP 2.8

Post by ok67 »

You have to manually edit the file: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list and remove the last line which contains "ain" and save the file.
You ned to be root or sudo to do this. (sudo gedit /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list)
3fRI
Level 4
Level 4
Posts: 229
Joined: Sat Nov 20, 2010 10:25 am
Location: State of Confusion

Re: GIMP 2.8

Post by 3fRI »

ok67 wrote:You have to manually edit the file: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list and remove the last line which contains "ain" and save the file.
You ned to be root or sudo to do this. (sudo gedit /etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list)
Many thanks, it worked like a charm! :D
System 76 Pangolin: 4x Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz, Manjaro 15.12 Capella Xfce/Cinnamon 64-bit
iMac 21.5: Intel Core 2 Duo 3.06 GHz, Mac OS 10.11

[iWhat? Me worry?[/i]
User avatar
colyn
Level 6
Level 6
Posts: 1230
Joined: Sat Aug 14, 2010 1:37 pm
Location: ¿ǝɯ ǝǝs ɐʎ ʇ,uɐƆ ˙ǝɹǝɥ ʇɥƃᴉɹ ɯ,I
Contact:

Re: Gimp 2.8 stable

Post by colyn »

colyn wrote:It has been released. Love the single window mode..

To install enter

Code: Select all

sudo apt-get purge Gimp*
in the terminal to remove your old version (you must do this step before proceding) then

Code: Select all

sudo add-apt-repository ppa:otto-kesselgulasch/gimp 

Code: Select all

sudo apt-get update

Code: Select all

sudo apt-get install gimp
I installed Linux Mint 13 Maya RC with the Mate desktop today and updated Gimp to 2.8 with no problems.. If you want to try it be sure to open a terminal and enter

Code: Select all

sudo apt-get purge Gimp*
before adding the ppa.....

Be sure to add the asterick or it won't purge all of the installed Gimp files..
User avatar
Inoki
Level 3
Level 3
Posts: 199
Joined: Sat Jul 31, 2010 4:11 am
Contact:

Re: GIMP 2.8

Post by Inoki »

Can someone post a working guide on how to install Gimp 2.8 on Mint 12?
User avatar
selittl
Level 2
Level 2
Posts: 60
Joined: Fri Aug 27, 2010 7:56 pm

Re: GIMP 2.8

Post by selittl »

installing gimp 2.8 on LM 12 is tricky as there are major dependency issues. I upgraded to LM 13 which is based on Ubuntu 12.04 and gimp 2.8 installs in that no problem.
User avatar
gychang
Level 3
Level 3
Posts: 138
Joined: Tue Dec 09, 2008 12:24 pm

Re: GIMP 2.8

Post by gychang »

selittl wrote:installing gimp 2.8 on LM 12 is tricky as there are major dependency issues. I upgraded to LM 13 which is based on Ubuntu 12.04 and gimp 2.8 installs in that no problem.
indeed, didn't work on my LM12...

gychang
--
cruising the desert
--
User avatar
gychang
Level 3
Level 3
Posts: 138
Joined: Tue Dec 09, 2008 12:24 pm

Re: Gimp 2.8 stable

Post by gychang »

colyn wrote:
colyn wrote:It has been released. Love the single window mode..

I installed Linux Mint 13 Maya RC with the Mate desktop today and updated Gimp to 2.8 with no problems.. If you want to try it be sure to open a terminal and enter

Code: Select all

sudo apt-get purge Gimp*
before adding the ppa.....

Be sure to add the asterick or it won't purge all of the installed Gimp files..
anyone installed on LM13RC with Cinnamon?

gychang
--
cruising the desert
--
User avatar
selittl
Level 2
Level 2
Posts: 60
Joined: Fri Aug 27, 2010 7:56 pm

Re: GIMP 2.8

Post by selittl »

yes, it installs and runs fine on both flavors of the RC. Use the repo info the top of this thread.
User avatar
Oscar799
Level 20
Level 20
Posts: 10010
Joined: Tue Aug 11, 2009 9:21 am
Location: United Kingdom

Re: GIMP 2.8

Post by Oscar799 »

Yes
I followed colyn's instructions and was very careful to add the "*" - GIMP 2.8 now works perfectly with Mint 13 32bit Cinnamon
Image
User avatar
gychang
Level 3
Level 3
Posts: 138
Joined: Tue Dec 09, 2008 12:24 pm

Re: GIMP 2.8

Post by gychang »

Oscar799 wrote:Yes
I followed colyn's instructions and was very careful to add the "*" - GIMP 2.8 now works perfectly with Mint 13 32bit Cinnamon

also got it installed on Mint 13, 64bit. thanks,

gychang
--
cruising the desert
--
rewyllys
Level 1
Level 1
Posts: 36
Joined: Wed May 25, 2011 7:50 pm

Re: GIMP 2.8

Post by rewyllys »

Following Colyn's instructions has just yielded a smooth install of Gimp 2.8 for me in Linux Mint 13RC with Cinnamon, 64-bit.

Many thanks, Colyn. :D
bento2000
Level 1
Level 1
Posts: 2
Joined: Wed May 02, 2012 4:56 pm

Re: GIMP 2.8

Post by bento2000 »

Installed on Mint 13 MATE, 64bit. Thanks,
ZB :)
User avatar
bimsebasse
Level 7
Level 7
Posts: 1690
Joined: Fri Nov 11, 2011 10:21 am
Location: Scandinavia

Re: GIMP 2.8

Post by bimsebasse »

Ahhhhh, single window mode. First time in years I've used gimp without moving floating little windows around.
Thank you for this thread. That’s all I can say. You most definitely have made this forum into something special. You clearly know what you are doing, you’ve covered so many bases. Thanks!
tinca
Level 5
Level 5
Posts: 586
Joined: Sun Jan 11, 2009 9:23 am
Location: England U.K.

Re: GIMP 2.8

Post by tinca »

thank you Colyn,

I have just followed your above instructions and installed Gimp 2.8. Running Mint 13 RC (Cinnamon) 64 bit. Went without a hitch.

Best regards Keith
User avatar
gychang
Level 3
Level 3
Posts: 138
Joined: Tue Dec 09, 2008 12:24 pm

Re: Gimp 2.8 stable

Post by gychang »

colyn wrote:It has been released. Love the single window mode..

To install enter

Code: Select all

sudo apt-get purge Gimp*
in the terminal to remove your old version (you must do this step before proceding) then

Code: Select all

sudo add-apt-repository ppa:otto-kesselgulasch/gimp 

Code: Select all

sudo apt-get update

Code: Select all

sudo apt-get install gimp
I am now getting following error:

===
apa@nakedpc ~ $ sudo add-apt-repository ppa:otto-kesselgulasch/gimp
Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 65, in <module>
if not sp.add_source_from_line(line):
File "/usr/lib/python2.7/dist-packages/softwareproperties/SoftwareProperties.py", line 630, in add_source_from_line
(deb_line, file) = expand_ppa_line(line.strip(), self.distro.codename)
File "/usr/lib/python2.7/dist-packages/softwareproperties/ppa.py", line 47, in expand_ppa_line
sourceslistd = apt_pkg.Config.find_dir("Dir::Etc::sourceparts")
AttributeError: 'module' object has no attribute 'Config'

===

how do I fix this?

gychang
--
cruising the desert
--
ChipButty
Level 1
Level 1
Posts: 26
Joined: Sun Apr 29, 2012 8:36 pm
Location: Portland, OR

Re: GIMP 2.8

Post by ChipButty »

Just wanted to say that this is my first time installing a ppa, or anything via the Terminal and it went perfectly. Thank you for the instructions.
otitkothabole
Level 1
Level 1
Posts: 6
Joined: Sat Oct 30, 2010 4:31 am
Location: Sylhet, Bangladesh

Re: Gimp 2.8 stable

Post by otitkothabole »

colyn wrote:It has been released. Love the single window mode..

To install enter

Code: Select all

sudo apt-get purge Gimp*
in the terminal to remove your old version (you must do this step before proceding) then

Code: Select all

sudo add-apt-repository ppa:otto-kesselgulasch/gimp 

Code: Select all

sudo apt-get update

Code: Select all

sudo apt-get install gimp
Image
Dont purge the current GIMP...........just add the PPA & upgrade............its a bit risky because the PPA doesnt cover all the dependencies........if you upgrade using this PPA.......their will be some dependency issue......you will not see anything when using 'apt-get' in terminal.....but if you open GDEBI.......you will get fix broken packages error...........SYNAPTIC & GDEBI cant handle dependency issues properly...thats why I always use terminal........

bottom line: If u have purged the previous GIMP installation & having problem installing new one.........go to software sources......uncheck the PPA...........go to terminal........update software cache.........install GIMP.......then again go to software sources.......check the PPA............update software cache.........upgrade
Post Reply

Return to “Software & Applications”